/*
    $Id: getmntent.h,v 1.1 1994/05/30 16:55:09 marion Exp $
    getmntent.h
    May 94 by marion@cs.tu-berlin.de

    Copyright (C) 1994 Klaus Rennecke

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* $Log: getmntent.h,v $
 * Revision 1.1  1994/05/30  16:55:09  marion
 * Put under autoconf control.
 * Ported to ULTRIX 4.[23].
 * Added getmntent emulation for ULTRIX.
 * ANSIfied the sources.
 *
 */

#ifndef _getmntent_h
#define _getmntent_h

#define MNTENT_NO_STAT

#if defined(__STDC__)
extern FILE *setmntent ();
extern struct mntent *getmntent(FILE *fp);
extern int endmntent (FILE *fp);
#endif

typedef struct mntent mntent;
struct mntent {
    char  *mnt_fsname;  /* name */
    char  *mnt_dir;     /* mount point */
    char  *mnt_type;    /* type */
    char  *mnt_opts;    /* options */
};

#endif /* _getmntent_h */
